{$RESOURCE 'res\flash.res'}
{$RESOURCE 'res\movie.res'}

unit MainUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, FlashPlayerControl;

type
  TForm1 = class(TForm)
    FlashPlayerControl1: TFlashPlayerControl;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Open1: TMenuItem;
    OpenDialog1: TOpenDialog;
    procedure Open1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Open1Click(Sender: TObject);
begin
  if OpenDialog1.Execute then
  begin
    FlashPlayerControl1.Movie := OpenDialog1.FileName;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  ResourceStream: TResourceStream;
begin
  ResourceStream := TResourceStream.Create(0, 'EmbeddedMovie', 'FLASH');
  FlashPlayerControl1.PutMovieFromStream(ResourceStream);
end;

var
  FlashCodeStream: TResourceStream;

initialization

  FlashCodeStream := TResourceStream.Create(0, 'FlashOCXCode', 'BIN');
  FlashPlayerControl.LoadFlashOCXCodeFromStream(FlashCodeStream);
  FlashCodeStream.Free;

end.
