{$RESOURCE 'res\movie.res'}

unit MainUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  FlashPlayerControl, StdCtrls;

type
  TForm1 = class(TForm)
    FlashPlayerControl1: TFlashPlayerControl;
    OpenDialog1: TOpenDialog;
    ButtonLoad: TButton;
    procedure FlashPlayerControl1LoadExternalResource(ASender: TObject;
      const URL: String; Stream: TStream);
    procedure ButtonLoadClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FlashPlayerControl1LoadExternalResource(ASender: TObject;
  const URL: String; Stream: TStream);
var
  ResourceStream: TResourceStream;
  MemoryStream: TMemoryStream;
begin
  if URL = 'images/embedded_image1.jpg' then
  begin
    ResourceStream := TResourceStream.Create(0, 'image1', 'IMAGE');
    ResourceStream.SaveToStream(Stream);
    ResourceStream.Free;
  end;

  if URL = 'images/embedded_image2.jpg' then
  begin
    ResourceStream := TResourceStream.Create(0, 'image2', 'IMAGE');
    ResourceStream.SaveToStream(Stream);
    ResourceStream.Free;
  end;

  if URL = 'images/embedded_image3.jpg' then
  begin
    ResourceStream := TResourceStream.Create(0, 'image3', 'IMAGE');
    ResourceStream.SaveToStream(Stream);
    ResourceStream.Free;
  end;

  if URL = 'images/embedded_image4.jpg' then
  begin
    ResourceStream := TResourceStream.Create(0, 'image4', 'IMAGE');
    ResourceStream.SaveToStream(Stream);
    ResourceStream.Free;
  end;

  if URL = 'images/embedded_image5.jpg' then
  begin
    ResourceStream := TResourceStream.Create(0, 'image5', 'IMAGE');
    ResourceStream.SaveToStream(Stream);
    ResourceStream.Free;
  end;

  if URL = 'images/external_image.jpg' then
  begin
    if OpenDialog1.Execute then
    begin
      MemoryStream := TMemoryStream.Create;
      MemoryStream.LoadFromFile(OpenDialog1.FileName);
      MemoryStream.SaveToStream(Stream);
      MemoryStream.Free;
    end;
  end;
end;

procedure TForm1.ButtonLoadClick(Sender: TObject);
var
  ResourceStream: TResourceStream;
begin
     FlashPlayerControl1.Visible := True;

     ResourceStream := TResourceStream.Create(0, 'movie1', 'MOVIE');
     FlashPlayerControl1.PutMovieFromStream(ResourceStream);
     ResourceStream.Free;

     ButtonLoad.Visible := False;
end;

end.
